Subject: Re: bug#48219: 27.1.90; CL-LOOP facility fails with hash tables

From: Stefan Monnier <[email-masked]>
Date: Fri, 01 Jul 2022 10:03:17 -0400

> Yes, that does seem wrong.

Agreed, but I don't know what the code is supposed to do when `database`
is not-nil, so I can't even tell if the code is meaningful.

> I had a brief look at cl--parse-loop-clause, but this is code
> I haven't looked at before, and I'm not sure I understand the control
> flow here.  Adding Stefan to the CCs; I'm sure he can tell what should
> be done immediately.  😀

Well, it's fairly obvious: we should just fix the problem.
Next!

        Stefan